// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/auth-svc/internal/data"
)

// VerificationTokensQCloner is an autogenerated mock type for the VerificationTokensQCloner type
type VerificationTokensQCloner struct {
	mock.Mock
}

// Clone provides a mock function with given fields: ctx
func (_m *VerificationTokensQCloner) Clone(ctx context.Context) data.VerificationTokensQ {
	ret := _m.Called(ctx)

	var r0 data.VerificationTokensQ
	if rf, ok := ret.Get(0).(func(context.Context) data.VerificationTokensQ); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(data.VerificationTokensQ)
		}
	}

	return r0
}
